Subject: Re: killing Win32 apps from bash (and ash)
From: "Gregory W. Bond" <[email-masked]>
To: [email-masked]
Date: Mon, 26 Nov 2001 12:34:55 -0500

As a follow-up to my initial posting: this problem does *not* occur when
I run the Win32 app from an ash ("sh") shell (whose parent shell is
*not* a bash shell) i.e. signals are propagated to the Win32 app by ash,
but not by bash. bucweat_20657 at yahoo.com, who posted messages about
the same problem back in August, informs me that this is considered to
be a feature of Cygwin's bash, not a bug, although the rationale is lost
on us, particularly since there is inconsistent behavior between ash and
bash. So, AFAIK, there is no "fix" since this is the accepted behavior
of bash.

"Gregory W. Bond" wrote:
>
> I'm running into this problem with the latest cygwin distro (updated
> today just to be sure). The problem occurs when I run Win32 java
> programs from a bash shell. The java programs have shutdown hooks that

> don't get executed when I kill the process (using 'kill' or ^C),
however
> they do get executed when I ^C from a Windows command shell. Is this
the
> expected behavior, or is this a bug?
>
> Greg.
> --
Gregory W. Bond
AT&T Labs - Research
180 Park Avenue, Rm. D273, Bldg. 103
P.O. Box 971, Florham Park, NJ, 07932-0971, USA
tel: (973) 360 7216 fax: (973) 360 8187

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/